/* ===========================================================================

  irisNetFunc.h    common funcs functions

=============================================================================*/
#ifndef RIB_SETUP_FUNC_H
#define RIB_SETUP_FUNC_H

#ifdef RIB_SETUP_FUNC_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif

/* defines */



/* globals */

/*************************
** C++ prototypes
***************************/ 

#ifdef __cplusplus
class RibSetupFunc
{
   private :
      UINT2 iCurrentSet;
      UINT4 iUniqueSum;
   public  :
      void  init(void);
      UINT2 getCurrentSet(void);
      void  setCurrentSet(UINT2 icurrent_set_num_a);
      char  *getCurrentSetName(void);
      UINT2 getActiveSet(void);
      void  setActiveSet(UINT2 iactive_set_num_a);
      char  *getActiveSetName(void);
      void  setDeviceName(char dev_name[32]);
      char  *getDeviceName(void);
      void  setFlashTime(UINT2 iflash_time_a);
      UINT2 getFlashTime(void);
      void  setSetNames(char set_names_a[8][16]);
      void  getSetNames(char set_names_a[8][16]);
      void  setAliasNames(char alias_names_a[RIB_MAX_DISPLAYS][16]);
      void  getAliasNames(char alias_names_a[RIB_MAX_DISPLAYS][16]);
      void  getCorridorNames(UINT4 set_num_a, UINT4 rib_num_a,
              char cor_names_a[9][16], UINT2 *lvalid_a);
      void  setCorridorNames(UINT4 set_num_a, UINT4 rib_num_a,
              char cor_names_a[9][16], UINT2 lvalid_a);
      void  loadRibSetup(void);
      void  saveRibSetup(void);
      UINT2 lCheckRibSetupChanged(void);
      void  calledFromExitHandlerToExitRibSetup(void);
      void  getActivityUpdateStatus(void);
 
};
EXTERN RibSetupFunc ribSetupFunc;
#endif


#undef EXTERN
#endif


